<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__seglcd__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_seglcd_config_t</compoundname>
    <includes local="no">cy_seglcd.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__seglcd__config__t_1a1be9b9b30d3113fe5c2ce54e6b837740" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__seglcd__enums_1gab22a15df01ec018165a1a7e812f70bb0">cy_en_seglcd_speed_t</ref></type>
        <definition>cy_en_seglcd_speed_t cy_stc_seglcd_config_t::speed</definition>
        <argsstring />
        <name>speed</name>
        <briefdescription>
<para>Speed mode selection, see: <ref kindref="member" refid="group__group__seglcd__enums_1gab22a15df01ec018165a1a7e812f70bb0">cy_en_seglcd_speed_t</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="485" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="485" />
      </memberdef>
      <memberdef id="structcy__stc__seglcd__config__t_1a6a9444555b4cc7d3c545a1272e28fc76" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__seglcd__enums_1ga255aa427b265f88cc6e618cdc5491248">cy_en_seglcd_wave_t</ref></type>
        <definition>cy_en_seglcd_wave_t cy_stc_seglcd_config_t::wave</definition>
        <argsstring />
        <name>wave</name>
        <briefdescription>
<para>Waveform type configuration, see: <ref kindref="member" refid="group__group__seglcd__enums_1ga255aa427b265f88cc6e618cdc5491248">cy_en_seglcd_wave_t</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="486" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="486" />
      </memberdef>
      <memberdef id="structcy__stc__seglcd__config__t_1afc91e08c26e68bfd0b7707f02ffe272c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__seglcd__enums_1gaff012223bec16a8c88dfdb39bd304893">cy_en_seglcd_drive_t</ref></type>
        <definition>cy_en_seglcd_drive_t cy_stc_seglcd_config_t::drive</definition>
        <argsstring />
        <name>drive</name>
        <briefdescription>
<para>Driving mode configuration, see: <ref kindref="member" refid="group__group__seglcd__enums_1gaff012223bec16a8c88dfdb39bd304893">cy_en_seglcd_drive_t</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="487" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="487" />
      </memberdef>
      <memberdef id="structcy__stc__seglcd__config__t_1ab3f79d01165e2a5f3926ab943d01a789" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__seglcd__enums_1ga2b57420866b0307ca04c1e033790661c">cy_en_seglcd_bias_t</ref></type>
        <definition>cy_en_seglcd_bias_t cy_stc_seglcd_config_t::bias</definition>
        <argsstring />
        <name>bias</name>
        <briefdescription>
<para>PWM bias selection, see: <ref kindref="member" refid="group__group__seglcd__enums_1ga2b57420866b0307ca04c1e033790661c">cy_en_seglcd_bias_t</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="488" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="488" />
      </memberdef>
      <memberdef id="structcy__stc__seglcd__config__t_1a77554e22d4f2ad59e59841a6e6faf3d5" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__seglcd__enums_1ga4e8bfe5d2149ea8d82ac609367709c95">cy_en_seglcd_lsclk_t</ref></type>
        <definition>cy_en_seglcd_lsclk_t cy_stc_seglcd_config_t::lsClk</definition>
        <argsstring />
        <name>lsClk</name>
        <briefdescription>
<para>Low Speed Mode clock selection, see: <ref kindref="member" refid="group__group__seglcd__enums_1ga4e8bfe5d2149ea8d82ac609367709c95">cy_en_seglcd_lsclk_t</ref>. </para>        </briefdescription>
        <detaileddescription>
<para>This is effective for MXLCD_ver2, for MXLCD_ver1 it is ignored. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="489" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="489" />
      </memberdef>
      <memberdef id="structcy__stc__seglcd__config__t_1ad28a0040577c34d63ae68b839e2d9116" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_seglcd_config_t::comNum</definition>
        <argsstring />
        <name>comNum</name>
        <briefdescription>
<para>The number of Common connections, the valid range is 2...16 however the maximum is dependent on PSoC device family - there could be limitation to 4 or 8 commons, see the device TRM. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="493" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="493" />
      </memberdef>
      <memberdef id="structcy__stc__seglcd__config__t_1a5aa06fe4a2252a60e2e5b638cc9a49c7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_seglcd_config_t::frRate</definition>
        <argsstring />
        <name>frRate</name>
        <briefdescription>
<para>The LCD frame rate, the valid range is 30...150. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="497" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="497" />
      </memberdef>
      <memberdef id="structcy__stc__seglcd__config__t_1ae5789b3ceabe5f3944ad87fb9d896e0d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_seglcd_config_t::contrast</definition>
        <argsstring />
        <name>contrast</name>
        <briefdescription>
<para>The LCD contrast, the valid range is 0...100. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="498" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="498" />
      </memberdef>
      <memberdef id="structcy__stc__seglcd__config__t_1ad72440f94cfffb60d7223157722e5769" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_seglcd_config_t::clkFreq</definition>
        <argsstring />
        <name>clkFreq</name>
        <briefdescription>
<para>The LCD clock frequency (ignored for <ref kindref="member" refid="group__group__seglcd__enums_1gga4e8bfe5d2149ea8d82ac609367709c95abadf62ab3037855e61b95e5a13be87bb">CY_SEGLCD_LSCLK_LF</ref> mode, or in <ref kindref="member" refid="group__group__seglcd__enums_1ggab22a15df01ec018165a1a7e812f70bb0a40ab3d2e383afd394814b78b98fa9cfb">CY_SEGLCD_SPEED_LOW</ref> mode for MXLCD_ver1), the valid range is 10000...100000000 (Hz) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="499" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="499" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Configuration structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="503" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="483" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="484" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__seglcd__config__t_1ab3f79d01165e2a5f3926ab943d01a789" virt="non-virtual"><scope>cy_stc_seglcd_config_t</scope><name>bias</name></member>
      <member prot="public" refid="structcy__stc__seglcd__config__t_1ad72440f94cfffb60d7223157722e5769" virt="non-virtual"><scope>cy_stc_seglcd_config_t</scope><name>clkFreq</name></member>
      <member prot="public" refid="structcy__stc__seglcd__config__t_1ad28a0040577c34d63ae68b839e2d9116" virt="non-virtual"><scope>cy_stc_seglcd_config_t</scope><name>comNum</name></member>
      <member prot="public" refid="structcy__stc__seglcd__config__t_1ae5789b3ceabe5f3944ad87fb9d896e0d" virt="non-virtual"><scope>cy_stc_seglcd_config_t</scope><name>contrast</name></member>
      <member prot="public" refid="structcy__stc__seglcd__config__t_1afc91e08c26e68bfd0b7707f02ffe272c" virt="non-virtual"><scope>cy_stc_seglcd_config_t</scope><name>drive</name></member>
      <member prot="public" refid="structcy__stc__seglcd__config__t_1a5aa06fe4a2252a60e2e5b638cc9a49c7" virt="non-virtual"><scope>cy_stc_seglcd_config_t</scope><name>frRate</name></member>
      <member prot="public" refid="structcy__stc__seglcd__config__t_1a77554e22d4f2ad59e59841a6e6faf3d5" virt="non-virtual"><scope>cy_stc_seglcd_config_t</scope><name>lsClk</name></member>
      <member prot="public" refid="structcy__stc__seglcd__config__t_1a1be9b9b30d3113fe5c2ce54e6b837740" virt="non-virtual"><scope>cy_stc_seglcd_config_t</scope><name>speed</name></member>
      <member prot="public" refid="structcy__stc__seglcd__config__t_1a6a9444555b4cc7d3c545a1272e28fc76" virt="non-virtual"><scope>cy_stc_seglcd_config_t</scope><name>wave</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>